## ListProjectEnvironmentClasses **post** `/gitpod.v1.ProjectService/ListProjectEnvironmentClasses` Lists environment classes of a project. Use this method to: - View all environment classes of a project ### Examples - List project environment classes: Shows all environment classes of a project. ```yaml projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" pagination: pageSize: 20 ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing project policies - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. - `projectId: optional string` project_id specifies the project identifier ### Returns - `pagination: optional object { nextToken }` - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results - `projectEnvironmentClasses: optional array of ProjectEnvironmentClass` - `environmentClassId: optional string` Use a fixed environment class on a given Runner. This cannot be a local runner's environment class. - `localRunner: optional boolean` Use a local runner for the user - `order: optional number` order is the priority of this entry ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.ProjectService/ListProjectEnvironmentClasses \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "pagination": { "nextToken": "nextToken" }, "projectEnvironmentClasses": [ { "environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "localRunner": true, "order": 0 } ] } ```